The SML of NJ Library
The `RedBlackSetFn` functor

The `RedBlackSetFn` functor provides a red-black-tree implementation of the `ORD_SET` signature parameterized over the element type.

This functor is the preferred implementation of finite sets of ordered elements as it is faster than the other implementations.

## Synopsis

    functor RedBlackSetFn (K : ORD_KEY) :> ORD_SET where type Key.ord_key = K.ord_key

## See Also

`ORD_KEY`, `ORD_SET`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC